For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HUMAN DashboardHUMAN WebsiteRequest a Demo
Product GuidesEnforcer GuidesMobile SDKAPI ReferenceCustomer support
Product GuidesEnforcer GuidesMobile SDKAPI ReferenceCustomer support
  • User guides
    • About the Applications API
    • Getting started
    • Authentication
    • Quick reference
  • Account Defender API
  • Bot Defender API
      • GETGet custom list identifiers
      • POSTCreate custom list identifiers
      • PUTReplace custom list identifiers
      • DELDelete custom list identifiers
      • DELDelete a custom list identifier
  • Credential Intelligence API
  • Code Defender API
    • Code Examples
  • Enforce API
  • PCI DSS API
LogoLogo
Login
Login
HUMAN DashboardHUMAN WebsiteRequest a Demo
Bot Defender APICustom List Identifiers

Create custom list identifiers

POST
/v1/botDefender/customLists/:listId/identifiers
POST
/api/v1/botDefender/customLists/:listId/identifiers
$curl -X POST https://console.humansecurity.com/api/v1/botDefender/customLists/64f8b12345678901234567ab/identifiers \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "identifier": "socketIps",
> "value": "192.168.1.100"
> },
> {
> "identifier": "socketIpASN",
> "value": "AS158"
> },
> {
> "identifier": "path",
> "value": "test.example.com"
> },
> {
> "identifier": "custom_param1",
> "value": "test_param_1"
> }
>]'
1{
2 "result": true,
3 "message": "success",
4 "content": {
5 "added": 3,
6 "total": 4,
7 "duplicated": 1
8 }
9}

Add multiple identifiers to a custom list in bulk. If duplicate identifier/value combinations are provided, they will be skipped and counted in the duplicated field.

Was this page helpful?
Previous

Replace custom list identifiers

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

listIdstringRequiredformat: "^[0-9a-fA-F]{24}$"
The unique identifier of the custom list

Request

This endpoint expects a list of objects.
identifierenumRequired
Type of identifier
valuestringRequired
The identifier value

Response

Identifiers created successfully
resultboolean
Indicates if the request was successful
messagestring
Response message
contentobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error